using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Frilenseri
{
    class Program
    {
        static void Main(string[] args)
        {
            Console.WriteLine("Unesite broj frilensera u Srbiji");
            int n = int.Parse(Console.ReadLine());
            int[] A = new int[n];
            double[] s = new double[n];
            double[] P = new double[n];
            for (int i = 0; i < n; i++)
            {
                Console.WriteLine("Unesite pocetnu zaradu i maksimalni porez " + (i+1).ToString() + ". frilensera");
                string[] ulaz = Console.ReadLine().Split();
                A[i] = int.Parse(ulaz[0]);
                P[i] = double.Parse(ulaz[1]);
            }
            for(int i = 0; i<n;i++)
                for(int j = 0; j<n;j++)
                {
                    if (P[j] >= P[i])
                        s[i] += A[j] * (double)(P[i] / 100);
                }
            Array.Sort(s);
            Console.WriteLine(s[n-1].ToString("0.00"));
            Console.ReadKey();
        }
    }
}